Subject: Re: bug#6241: Please make buffer-offer-save permanent local

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 13 Jul 2011 23:59:41 +0200

Lennart Borgman <[email-masked]> writes:

>> So, now that the question of "should it ideally be permanent-local?" is
>> resolved, the remaining question is: "what would be the impact of such
>> a change", which requires examining all uses of the variable and
>> assessing the effect of the change for each case.
>
> I think the only really important cases is when buffer-offer-save is
> set to t somewhere which is in
>
>   ./ediff-util.el:589:      (setq buffer-offer-save t) ; ask before
> killing buffer
>   Seems OK.
>
>   ./gnus/message.el:2900:  (setq buffer-offer-save t)
>   ./mail/sendmail.el:654:  (setq buffer-offer-save t)
>   ./mh-e/mh-folder.el:647:  (setq buffer-offer-save t)
>   All those seems OK to me, but I am not sure. I am not using them.
>
>   ./org/org-src.el:629:    (setq buffer-offer-save t)
>   Seems OK.

I think it would make sense to make it 'permanent-local in these cases,
at least.  If there's only these use cases, then it seems like the right
thing to do.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/